import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'of-pages-download',
  templateUrl: './download-page.component.html',
})
export class ProbeDownloadPageComponent implements OnInit {

  private index;

  constructor(
    private router: Router,
    private route: ActivatedRoute
  ) { }

  ngOnInit() {
    this.route.params.subscribe((params: any) => {
      this.index = params['idx'];
    });
  }

  onSelect(index) {
    this.router.navigate(['/probe/download', index]);
  }
}
